DNF5-REPLAY(8)

NAME
dnf5-replay - Replay Command

SYNOPSIS

dnf5 replay [options] <transaction-path>

DESCRIPTION

Replay a transaction stored in a directory at <transaction-path>. The transaction directory can be created either by the --store option, available for all transaction commands, or by History Store Command. The replay will perform the exact same operations on the packages as in the original transaction and will return with an error in case of any differences in installed packages or their versions.

To run the replay the transaction directory has to contain a file with the transaction in JSON format named transaction.json. The directory can also contain packages, comps groups or comps environments that will be used used in the replayed transaction.

OPTIONS

    --ignore-extras
        Don't consider extra packages pulled into the transaction as errors.
        They will still be reported as warnings.

    --ignore-installed
        Don't consider mismatches between installed and stored transaction packages as errors.
        They will still be reported as warnings.
        For install actions skip already installed packages.
        For upgrade actions skip groups or environments that are not installed.
        For remove actions skip not installed packages/groups/environments.
        Using this option can result in an empty transaction.

    --skip-broken
        Resolve any dependency problems by removing packages that are causing problems from the transaction.

    --skip-unavailable
        In case some packages stored in the transaction are not available on the target system,
        skip them instead of erroring out.

EXAMPLES

    dnf5 replay ./transaction
        Replay a transaction stored at ./transaction.

    dnf5 replay ./transaction --skip-unavailable
        Replay a transaction stored at ./transaction skipping unavailable packages.

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.